Get Invoice
GET
/invoices/{invoice}AuthorizationBearer <token>
In: header
Path Parameters
invoice*string
Opaque invoice ID.
Match
^inv_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/invoices/string"{ "data": { "id": "string", "object": "invoice", "livemode": true, "created": "2019-08-24T14:15:22Z", "customer": { "id": "string", "name": "string", "email": "string" }, "subscription": "string", "status": "draft", "origin": "string", "collection_method": "string", "currency": "string", "subtotal": { "amount": -9007199254740991, "currency": "string" }, "discount_total": { "amount": -9007199254740991, "currency": "string" }, "tax_total": { "amount": -9007199254740991, "currency": "string" }, "total": { "amount": -9007199254740991, "currency": "string" }, "amount_due": { "amount": -9007199254740991, "currency": "string" }, "amount_paid": { "amount": -9007199254740991, "currency": "string" }, "amount_remaining": { "amount": -9007199254740991, "currency": "string" }, "period_start": "string", "period_end": "string", "due_at": "string", "finalized_at": "string", "paid_at": "string", "lines": [ { "id": "string", "kind": "string", "description": "string", "quantity": 0, "amount": { "amount": -9007199254740991, "currency": "string" }, "discount_amount": { "amount": -9007199254740991, "currency": "string" }, "tax_amount": { "amount": -9007199254740991, "currency": "string" }, "product": "string", "plan": "string", "price": "string", "period_start": "string", "period_end": "string" } ] }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}